Tools
List tool policies
GET /v1/tool-policies · SDK listToolPolicies · CLI deployments tool-policy list
GET
platformBearerheader
AuthorizationBearer <token>Platform bearer credential accepted as an opaque API key or JWT.
cursor?stringLength
1 <= length <= 4096limit?integerRange
1 <= value <= 100x-deployments-environment*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$ListToolPoliciesResponse
application/json- response
items*array<>nextCursor*string|nullcurl -X GET "https://example.com/v1/tool-policies" \ -H "x-deployments-environment: string"{ "items": [ { "createdAt": "2019-08-24T14:15:22Z", "description": "string", "id": "string", "name": "string", "policy": { "defaultAction": "allow", "defaultReason": "string", "rules": [ { "action": "allow", "connectorProvider": "string", "effect": "execute", "providerKey": "string", "reason": "string", "requiredScopes": [ "string" ], "toolName": "string", "toolPrefix": "string" } ] }, "status": "string", "updatedAt": "2019-08-24T14:15:22Z", "version": 0 } ], "nextCursor": "string"}